Jive API (3.0.13) Core Javadocs

com.jivesoftware.community
Interface TypeUIProvider


public interface TypeUIProvider

This interface provides the information required to render an object type in the UI.


Method Summary
 String getContentTypeFeatureName()
          Returns the display name of the content "feature" this object type provides.
 String getContentTypeFeatureName(Locale locale)
          Returns the display name of the content "feature" this object type provides.
 String getContentTypeFormCSS()
          The css class that will represent this content type on web forms were it is to be enabled.
 String getContentTypeName()
          Returns the display name of a singular object of this type, i.e.
 String getContentTypeName(Locale locale)
          Returns the display name of a singular object of this type, i.e.
 IconGenerator getIconGenerator()
          Returns the icon generator of this type that will be used to show it on content list pages.
 JiveObjectURLFactory getJiveObjectURLFactory()
          This method returns a JiveObjectURLFactory, which understands how to translate JiveObjects into various types of URLs.
 String getLinkMediumCSS()
          The css class that will represent this object type in medium form.
 LinkProvider getLinkProvider()
          Returns a helper class with methods consumed by the link subsystem.
 List<String> getMacroNames()
          Get the list of macros associated with this object type.
 Map<String,ParamMapObjectFactory> getParamMapObjectFactories()
          This method retrieves a hash of ParamMapObjectFactory, keyed by action name.
 

Method Detail

getContentTypeName

String getContentTypeName()
Returns the display name of a singular object of this type, i.e. Document, Blog Post, etc.

Returns:
The display name of the content type.

getContentTypeName

String getContentTypeName(Locale locale)
Returns the display name of a singular object of this type, i.e. Document, Blog Post, etc.

Parameters:
locale - the locale to use for retrieving the appropriate locale-specific content type name.
Returns:
The display name of the content type.

getContentTypeFeatureName

String getContentTypeFeatureName()
Returns the display name of the content "feature" this object type provides. For example you might have a content type called Meeting, but you want the overall concept of the functionality it provides to be called Meetings. In this case you would return Meetings. To an extent you can consider this a plural representation of the content type.

Returns:
The overall feature name of the content type.

getContentTypeFeatureName

String getContentTypeFeatureName(Locale locale)
Returns the display name of the content "feature" this object type provides. For example you might have a content type called Meeting, but you want the overall concept of the functionality it provides to be called Meetings. In this case you would return Meetings. To an extent you can consider this a plural representation of the content type.

Parameters:
locale - the locale to use for retrieving the appropriate locale-specific content type feature name.
Returns:
The overall feature name of the content type.

getContentTypeFormCSS

String getContentTypeFormCSS()
The css class that will represent this content type on web forms were it is to be enabled. Typically this comes out in the form of a visual icon representation of the type.

Returns:
The CSS class representing this content type.

getLinkMediumCSS

String getLinkMediumCSS()
The css class that will represent this object type in medium form.

Returns:
the css class that will represent this object type in medium form.

getParamMapObjectFactories

Map<String,ParamMapObjectFactory> getParamMapObjectFactories()
This method retrieves a hash of ParamMapObjectFactory, keyed by action name. The ParamMapObjectFactory is used to construct JiveObjects from a map of URL request parameters, provided by an ActionMapping class Primarily consumed by the com.jivesoftware.community.web.JiveResourceResolver class.

Returns:
A map of ParamMapObjectFactory keyed by action name

getJiveObjectURLFactory

JiveObjectURLFactory getJiveObjectURLFactory()
This method returns a JiveObjectURLFactory, which understands how to translate JiveObjects into various types of URLs. Primarily consumed by the com.jivesoftware.community.web.JiveResourceResolver class.

Returns:
JiveObjectURLFactory

getMacroNames

List<String> getMacroNames()
Get the list of macros associated with this object type. Primarily consumed by the com.jivesoftware.base.wiki.JiveLinkBuilder class.

Returns:
the list of macros associated with this object type.

getLinkProvider

LinkProvider getLinkProvider()
Returns a helper class with methods consumed by the link subsystem. This may return null if links cannot be created for the object type.

Returns:
a helper class with methods consumed by the link subsystem.

getIconGenerator

IconGenerator getIconGenerator()
Returns the icon generator of this type that will be used to show it on content list pages.

Returns:
the icon generator of this type that will be used to show it on content list pages.

Jive Product Page

Copyright © 1999-2007 Jive Software.